# importing the required module
import matplotlib.pyplot as plt
import pandas as pd
import seaborn as sns

# our datasets:
metro_areas = ["New York–Newark–Jersey City, NY-NJ MSA",\
               "Los Angeles–Long Beach–Anaheim, CA MSA",\
               "Chicago–Naperville–Elgin, IL-IN MSA",\
               "Dallas–Fort Worth–Arlington, TX MSA",\
               "Houston–Pasadena–The Woodlands, TX MSA",\
               "Washington–Arlington–Alexandria, DC-VA-MD-WV MSA",\
               "Philadelphia–Camden–Wilmington, PA-NJ-DE-MD MSA",\
               "Atlanta–Sandy Springs–Roswell, GA MSA",\
               "Miami–Fort Lauderdale–West Palm Beach, FL MSA",\
               "Phoenix–Mesa–Chandler, AZ MSA"]
populations = [19557311, 12872322, 9274140, 7943685, 7368466,\
               6265183, 6241164, 6237435, 6139340, 5015678]

zipped = list(zip(metro_areas, populations))
df = pd.DataFrame(zipped, columns=['MSA', 'Population'])

# make our graph
# https://www.geeksforgeeks.org/plotting-graph-using-seaborn-python/
chart = sns.barplot(x = 'MSA', y = 'Population', data = df)
chart.set_xticklabels(chart.get_xticklabels(), rotation=45, horizontalalignment='right')

plt.show()

