# importing the required module
import matplotlib.pyplot as plt
import pandas as pd
import seaborn as sns

# our datasets:
df = pd.read_html('https://en.wikipedia.org/wiki/Metropolitan_statistical_area')[1]

# In Jupyter, this will show us the dataset:
#df

print(df.columns)

# Note there are non-breaking spaces in this chart!
# So we are renaming to fix that.

# see
# https://en.wikipedia.org/w/index.php?title=Metropolitan_statistical_area&action=edit&section=2
# and https://stackoverflow.com/a/15138705/2602501
df = df.rename(columns={'Metropolitan\xa0statistical\xa0area': 'Metropolitan_Statistical_Area'})
df = df.rename(columns={'2022 estimate': '2022_Estimate'})

# make our graph
# https://www.geeksforgeeks.org/plotting-graph-using-seaborn-python/
chart = sns.barplot(x = 'Metropolitan_Statistical_Area', y = '2022_Estimate', data = df.iloc[0:10, :])
x = chart.set_xticklabels(chart.get_xticklabels(), rotation=45, horizontalalignment='right')
plt.show()

# if Wikipedia is down, you can get the data via the Wayback Machine!
df = pd.read_html('https://web.archive.org/web/20230920200434/https://en.wikipedia.org/wiki/Metropolitan_statistical_area')[2]

print(df.head())

